Bug 81271 - devel/apache-ant with option NOPORTDOCS has incorrect package list
Summary: devel/apache-ant with option NOPORTDOCS has incorrect package list
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-19 17:50 UTC by Björn König
Modified: 2013-03-17 04:11 UTC (History)
0 users

See Also:


Attachments
patch-Makefile-always-with-manpages (460 bytes, text/plain)
2005-05-19 17:50 UTC, Björn König
no flags Details
patch-pkg-plist (204.45 KB, text/plain)
2005-05-19 17:50 UTC, Björn König
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn König 2005-05-19 17:50:02 UTC

The package list is incorrect while using NOPORTDOCS.

Fix: I attached three patches.

The file 'patch-Makefile-always-with-manpages' causes that manpages
will always be installed regardless to NOPORTDOCS. This is what I would
expect and recommend.

The second file 'patch-Makefile-without-manpages' is an alternative to
the first patch and follows the maintainer's intention to don't install
manpages if NOPORTDOCS is defined. Then you don't need to declare
manpages at all.

The third file 'patch-pkg-plist' fixes the package list as regards the
manual files which won't be installed if NOPORTDOCS is defined.

#### 1 ###########################################################

#### 2 ###########################################################

--- Makefile.orig	Thu May 19 15:55:21 2005
+++ Makefile	Thu May 19 15:56:24 2005
@@ -39,8 +39,10 @@
 MANPAGE_SUBDIR=	apache-ant-manpage
 MANPAGE_WRKSRC=	${WRKSRC}/${MANPAGE_SUBDIR}
 
+.if !defined(NOPORTDOCS)
 MAN1=		ant.1
 MAN5=		build.xml.5
+.endif
 
 do-patch:
 	@${CP} ${FILESDIR}/ant ${WRKSRC}/bin/ant
--- patch-Makefile-without-manpages ends here ---

#### 3 ###########################################################
How-To-Repeat: 

# cd /usr/ports/devel/apache-ant
# make -DNOPORTDOCS package
Comment 1 Herve Quiroz freebsd_committer 2005-05-20 12:28:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 2 Herve Quiroz freebsd_committer 2005-05-25 17:32:33 UTC
State Changed
From-To: open->closed

Patch commited. 

Thanks for your contribution!